pcl::io::real_sense::RealSenseDeviceManager Class Reference

`#include <pcl/io/real_sense/real_sense_device_manager.h>`

Inheritance diagram for pcl::io::real_sense::RealSenseDeviceManager:

## Public Types

typedef boost::shared_ptr< RealSenseDeviceManager > | Ptr

## Public Member Functions

size_t | getNumDevices ()
boost::shared_ptr< RealSenseDevice > | captureDevice ()
boost::shared_ptr< RealSenseDevice > | captureDevice (size_t index)
boost::shared_ptr< RealSenseDevice > | captureDevice (const std::string &sn)
| ~RealSenseDeviceManager ()

## Static Public Member Functions

static Ptr & | getInstance ()

## Detailed Description

Definition at line 66 of file real_sense_device_manager.h.

## Member Typedef Documentation

## Ptr

typedef boost::shared_ptr<RealSenseDeviceManager> pcl::io::real_sense::RealSenseDeviceManager::Ptr

Definition at line 71 of file real_sense_device_manager.h.

## Constructor & Destructor Documentation

## ~RealSenseDeviceManager()

pcl::io::real_sense::RealSenseDeviceManager::~RealSenseDeviceManager | ( |  | ) |

## Member Function Documentation

## captureDevice() [1/3]

boost::shared_ptr<RealSenseDevice> pcl::io::real_sense::RealSenseDeviceManager::captureDevice | ( |  | ) |

## captureDevice() [2/3]

boost::shared_ptr<RealSenseDevice> pcl::io::real_sense::RealSenseDeviceManager::captureDevice | ( | size_t | index | ) |

## captureDevice() [3/3]

boost::shared_ptr<RealSenseDevice> pcl::io::real_sense::RealSenseDeviceManager::captureDevice | ( | const std::string & | sn | ) |

## getInstance()

static Ptr& pcl::io::real_sense::RealSenseDeviceManager::getInstance | ( |  | ) |

inline static

Definition at line 74 of file real_sense_device_manager.h.

Referenced by pcl::io::real_sense::RealSenseDevice::reset().

## getNumDevices()

size_t pcl::io::real_sense::RealSenseDeviceManager::getNumDevices | ( |  | ) |

inline

Definition at line 87 of file real_sense_device_manager.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/io/include/pcl/io/real_sense/real_sense_device_manager.h